JBoss API: Class JawsApplicationMetaData

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jaws.metadata
Class JawsApplicationMetaData

    java.lang.Object
      |
      +--org.jboss.metadata.MetaData
            |
            +--org.jboss.ejb.plugins.jaws.metadata.JawsApplicationMetaData

All Implemented Interfaces:
  java.lang.Cloneable, XmlLoadable

public class JawsApplicationMetaData
extends MetaData
implements XmlLoadable

Version:
  $Revision: 1.5.6.6 $
Author:
  Sebastien Alborini
See Also:

Field Summary
`static java.lang.String` | `JPM`

Fields inherited from class org.jboss.metadata.MetaData
`TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`JawsApplicationMetaData(ApplicationMetaData amd, java.lang.ClassLoader cl)`

Method Summary
`JawsEntityMetaData` | `getBeanByEjbName(java.lang.String name)`
`protected java.lang.ClassLoader` | `getClassLoader()`
`java.sql.Connection` | `getConnection()`
`java.lang.String` | `getDbURL()`
`boolean` | `getDebug()`
`TypeMappingMetaData` | `getTypeMapping()`
`void` | `importXml(org.w3c.dom.Element element)`
`void` | `init()`

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementContent, getElementContent, getOptionalChild, getOptionalChild, getUniqueChild, importEjbJarXml, importJbossXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JPM

    public static final java.lang.String JPM

Constructor Detail

### JawsApplicationMetaData

    public JawsApplicationMetaData(ApplicationMetaData amd,
                                   java.lang.ClassLoader cl)
                            throws DeploymentException

Method Detail

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

### getDbURL

    public java.lang.String getDbURL()

### getTypeMapping

    public TypeMappingMetaData getTypeMapping()

### getDebug

    public boolean getDebug()

### getClassLoader

    protected java.lang.ClassLoader getClassLoader()

### getBeanByEjbName

    public JawsEntityMetaData getBeanByEjbName(java.lang.String name)

### init

    public void init()
              throws DeploymentException

### importXml

    public void importXml(org.w3c.dom.Element element)
                   throws DeploymentException

  Specified by:
    `importXml` in interface `XmlLoadable`
  Overrides:
    `importXml` in class `MetaData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.